> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets schedule check job for model drift.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/api/scheduler/{modelId}/get_drift_schedule_check
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/api/scheduler/{modelId}/get_drift_schedule_check:
    get:
      tags:
        - Scheduler
      summary: Gets schedule check job for model drift.
      operationId: getScheduleCheckForModelDrift
      parameters:
        - in: path
          name: modelId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Schedule check job for model drift.
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - name
                  - modelId
                  - cronExpression
                  - timezone
                  - isPaused
                  - dataSinceLastCheck
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  modelId:
                    type: string
                  datasetId:
                    type: string
                  cronExpression:
                    type: string
                  timezone:
                    type: string
                  isPaused:
                    type: boolean
                  dataSinceLastCheck:
                    type: boolean
                  dataSince:
                    type: integer
                  calendarType:
                    type: string

````